EntityPrinter (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.util
Class EntityPrinter

    java.lang.Object
      org.hibernate.internal.util.EntityPrinter

    public final class EntityPrinter

extends Object

Renders entities and query parameters to a nicely readable string.

Constructor Summary
`EntityPrinter(SessionFactoryImplementor factory)`

Method Summary
`void` | `toString(Iterable<Map.Entry<EntityKey,Object>> entitiesByEntityKey)`
`String` | `toString(Map<String,TypedValue> namedTypedValues)`
`String` | `toString(String entityName, Object entity)` Renders an entity to a string.
`String` | `toString(Type[] types, Object[] values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityPrinter

    public EntityPrinter(SessionFactoryImplementor factory)

Method Detail

### toString

    public String toString(String entityName,
                           Object entity)
                    throws HibernateException

  Renders an entity to a string.

  Parameters:
    `entityName` - the entity name
    `entity` - an actual entity object, not a proxy!
  Returns:
    the entity rendered to a string
  Throws:
    `HibernateException`

### toString

    public String toString(Type[] types,
                           Object[] values)
                    throws HibernateException

  Throws:
    `HibernateException`

### toString

    public String toString(Map<String,TypedValue> namedTypedValues)
                    throws HibernateException

  Throws:
    `HibernateException`

### toString

    public void toString(Iterable<Map.Entry<EntityKey,Object>> entitiesByEntityKey)
                  throws HibernateException

  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.